package gr.uoi.cs.privacy.network.draw;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.lang.Math;

public class Dot {
	public static void printToDOT(int HITS[][],int NRows, int NCols){

		try{
//			InputStreamReader reader = new InputStreamReader(System.in);
			FileWriter fstream = new FileWriter("out.dot");
			BufferedWriter out = new BufferedWriter(fstream);
			out= new BufferedWriter(fstream);
			int i,j;
			double x, y;
			int radius = NRows/3;
//			int numCrossings=-1;
			out.write("graph lola {\n");
			out.write("layout=\"neato\"\n");
			out.write("splines=\"true\"\n");
			out.write("sep=\"2\"\n");
			//write nodes
			for (i=0;i<NRows;i++){
				x = Math.cos(((Math.PI*2.0)/(float)NRows)*(float)i)*radius;
				y = Math.sin(((Math.PI*2.0)/(float)NRows)*(float)i)*radius;
//				out.write("\t" + i + "\n");
				out.write(i + "[label=\"" + i + "\", pos=\""+ x + "," + y +"!\"];\n");
			}
			//write edges
			for (i=0;i<NRows;i++){
				for (j=i+1;j<NCols;j++){
					if (HITS[i][j] > 0){
						out.write("\t" + i + " -- " + j + "\n");
					}
				}
			}
			out.write("}\n");
			out.close();
		}catch(Exception e){
			System.out.println("Exception while reading the file" + e);
		}
	}
}
